Re: [Freeipa-users] WebUI krbprincipal expiration calendar widegt

2014-08-11 Thread Martin Kosek
On 08/10/2014 01:58 PM, James James wrote:
 Hello,
 
 
 Is there a way to patch my ipa .3.0.0 with this patch:
 https://www.mail-archive.com/freeipa-devel@redhat.com/msg20528.html ?
 
 The DateTime data type will be very useful !
 
 Regards

It would be quite difficult, if not only because of the API versioning problem
we have with parallel branches of FreeIPA, like RHEL-6.x/CentOS-6.x is (judging
based on your version).

There is an upstream ticket filed:
https://fedorahosted.org/freeipa/ticket/4427

But I do not think it would help in your case. Especially as this is just a
convenience fix, the best advise I can give is either to
a) Hack this around in your IPA codebase, making sure that the capability API
version is correct
b) Live with old string variant
c) Upgrade to newer IPA, like 3.3 in RHEL-7.0 or 4.0 in Fedora 20! :-)

Martin

-- 
Manage your subscription for the Freeipa-users mailing list:
https://www.redhat.com/mailman/listinfo/freeipa-users
Go To http://freeipa.org for more info on the project


Re: [Freeipa-users] WebUI krbprincipal expiration calendar widegt

2014-08-11 Thread James James
Thanks a lot for your answer. I will switch to RHEL 7 to use 3.3 ..
Best regards.

James


2014-08-11 17:05 GMT+02:00 Martin Kosek mko...@redhat.com:

 On 08/10/2014 01:58 PM, James James wrote:
  Hello,
 
 
  Is there a way to patch my ipa .3.0.0 with this patch:
  https://www.mail-archive.com/freeipa-devel@redhat.com/msg20528.html ?
 
  The DateTime data type will be very useful !
 
  Regards

 It would be quite difficult, if not only because of the API versioning
 problem
 we have with parallel branches of FreeIPA, like RHEL-6.x/CentOS-6.x is
 (judging
 based on your version).

 There is an upstream ticket filed:
 https://fedorahosted.org/freeipa/ticket/4427

 But I do not think it would help in your case. Especially as this is just a
 convenience fix, the best advise I can give is either to
 a) Hack this around in your IPA codebase, making sure that the capability
 API
 version is correct
 b) Live with old string variant
 c) Upgrade to newer IPA, like 3.3 in RHEL-7.0 or 4.0 in Fedora 20! :-)

 Martin

-- 
Manage your subscription for the Freeipa-users mailing list:
https://www.redhat.com/mailman/listinfo/freeipa-users
Go To http://freeipa.org for more info on the project